Hashrate IndexAPI DocumentationAsic

Get ASIC Price Index

GET
/asic/price-index

/asic/price-index has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

ASIC Price Index

This endpoint offers an index of ASIC prices segmented by efficiency ranges. It helps investors and miners gauge the market sentiment and price trends for efficient mining hardware.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Query Parameters

span?string

Time span

Default"3M"

Value in

  • "3M"
  • "6M"
  • "1Y"
  • "ALL"
currency*string

Currency

Value in

  • "USD"
  • "BTC"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/asic/price-index?span=3M&currency=USD"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ASICPriceIndexData.json",  "data": [    {      "19to25": 0,      "25to38": 0,      "38to68": 0,      "above68": 0,      "close": 0.1,      "timestamp": "2019-08-24T14:15:22Z",      "under19": 0    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}